package ch.std.jumpstartsecured.rest;

import java.util.List;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;

import ch.std.jumpstartsecured.jpa.City;
import ch.std.jumpstartsecured.repository.CityRepository;

@RestController
public class CityAutoJpaCompleteController {
	
	@Autowired
	CityRepository cityRepository;
	
    @RequestMapping("/rest/auto/citiesjpa")
    public City[] autoComplete(@RequestParam(value="value") String value) {
    	List<City> cities = (List<City>)cityRepository.findByNameLike(value);
    	return cities.toArray(new City[0]);
    }
}
